tapi(1)

NAME
tapi - Text-based Stubs Tool

SYNOPSIS
tapi [--version] [--help] tapi <command> [<args>]

DESCRIPTION
TAPI can generate text-based stub files (.tbd) from existing Mach-O libraries or parse the headers of a framework and infer the text-based stub file from it.

OPTIONS

--version
    Prints the tapi version.

--help
    Prints the synopsis and a list of the available commands. Use tapi <command> --help to obtain more information about a particular command.

TAPI COMMANDS
tapi-archive(1)
    Merge or thin text-based stub files.

tapi-stubify(1)
    Create a text-based stub file from a library.

tapi-installapi(1)
    Create a text-based stub file by scanning the header files.

tapi-reexport(1)
    Create a linker reexport file by scanning the header files.

EXPERIMENTAL TAPI COMMANDS
These commands are still under development and their options and behavior may still change.

tapi-scan(1)
    Scan, verify, and generate text-based stub files for frameworks.

SEE ALSO
tapi-archive(1), tapi-stubify(1), tapi-installapi(1), tapi-reexport(1), ld(1), Mach-O(5)